Dear colleagues,

I am trying to generate a variable that captures job change in a broad sense; that is, that informs of a possible job change within the

same employer OR derived from an employer change. My understanding is that, for this purpose, I should rely on 'samejob' ('Check

for same job within employer') and 'jbsamr' ('Same employer check').

The universe of the former variable ('samejob': 'Have you been working continuously in the same job since ff_IntDate?') is constituted

by all those who fulfil the following conditions: (a) they have been interviewed at a prior wave or have been interviewed previously;

(b) have been continuously employed since last interview or furloughed/temporarily laid off at last interview followed by paid work;

and (c) are working for the same employer.

The universe of the latter variable ('jbsamr': 'And have you worked continuously for the same employer since ff_IntDate?') is

constituted by all those who meet the following conditions: (a) they have been interviewed at a prior wave or have been interviewed

previously and (b) have been continuously employed since last interview or furloughed/temporarily laid off at last interview followed

by paid work.

If I cross-tabulate these two variables, considering the missing values (for the 14 waves of UKHLS in my data), I obtain the following

table:

. tab jbsamr samejob, miss

Same |    Check for same job within

    employer |             employer

       check |       yes         no          . |     Total

-------------+---------------------------------+----------

         yes |   181,677      7,471         54 |   189,202 

          no |         0          0     16,926 |    16,926 

           . |         1          0    431,919 |   431,920 

-------------+---------------------------------+----------

       Total |   181,678      7,471    448,899 |   638,048

 In the cross-tabulation above, 16,926 observations correspond to individuals who changed employers. They are marked as missing

in 'samejob' because they are not part of the universe of the variable. They do not meet one of the conditions ((c) are working for the

same employer) So far, so good.

The table above also made me think that the 431,919 observations that are missing in these two variables correspond to individuals

who were not working when they were interviewed. But this is not totally the case, as it appears in the table below. I ask Stata to

generate the following table only for the observations that are missing in 'jbsamr' and 'samejob', but there is a substantial number of

observations that correspond to 'Paid employment' (74,103)

. tab jbstat if jbsamr==. & samejob==.

Current economic activity |      Freq.     Percent        Cum.

----------------------------------------+-----------------------------------

                        self employed   |     39,006       10.77       10.77

                 Paid employment(ft/pt) |     74,103       20.46       31.22

                        unemployed      |     26,900        7.43       38.65

                                retired |    134,644       37.17       75.81

                on maternity leave      |      1,132        0.31       76.13

                    Family care or home |     28,203        7.79       83.91

                full-time student       |     33,795        9.33       93.24

                    LT sick or disabled |     19,829        5.47       98.71

                   Govt training scheme |        398        0.11       98.82
                Unpaid, family business |        333        0.09       98.92

                      On apprenticeship |        454        0.13       99.04

                            On furlough |        157        0.04       99.08

Temporarily laid off/short term working |        130        0.04       99.12

                                     14 |          2        0.00       99.12

                doing something else    |      3,185        0.88      100.00

----------------------------------------+-----------------------------------

                                  Total |    362,271      100.00

 I try to understand how it is possible to be missing in both variables and appear as 'paid employment' (mind you, not self-employed,

but paid employment). Could you help me find out about it?

As I said at the beginning of this post, my ultimate goal would be to generate a variable with three categories: (a) same job; (b) a

different job with the same employer; (c) a different job with another employer:

Thanks for your attention

And kind regards

Luis Ortiz Gervasi

History

#1 - 06/09/2025 12:36 PM - Luis Ortiz

Dear colleagues,

I wish I could change the character of the query, from "Private" to "Open", in case it could be of utility for the users' community

Best wishes

Luis Ortiz Gervasi

#2 - 06/10/2025 10:32 AM - Understanding Society  User Support Team

- Category set to Questionnaire content

- Status changed from New to Feedback

- % Done changed from 0 to 80

- Private changed from Yes to No

Dear Luis,

Additionally, you could also use wkplsam - same workplace check - 

https://www.understandingsociety.ac.uk/documentation/mainstage/variables/wkplsam/ to identify job changes (in combination with samejob and

jbsamr). These three variables (or possibly just samejob and jbsamr if you don't need to check if the same workplace) allows you to create the

variable you need.

Regarding the table - in each wave there is a significant group of people who in the current wave are in paid employment (according to jbstat) but who

were not in paid employment in the last previous wave, or more precisely, who do not meet the jbsamr universe condition (here I'm using wave 12,

this could differ slightly across waves):

If (ff_ivlolw = 1 | Ff_everint = 1) // interviewed at prior wave or has been interviewed previously

And If (EmpChk = 1 & Ff_JBSTAT > 1 & Ff_JBSTAT <> MIS|DK|REF) // Continuously employed since last interview

In other words, jbsamr is filtered by ff_jbstat and, if I understand your table correctly, you're tabulating the current jbstat and not the feed-forward (ff_)

jbstat.

I hope it helps.

Best wishes,

Piotr Marzec

UKHLS User Support

#3 - 06/11/2025 01:44 PM - Luis Ortiz

- File Attempt creation job_change variable.xlsx added

Many thanks, Piotr

Your answer is very enlightening. Yes, it certainly helps
No, I do not need to capture workplace change; it's enough with employer change or job change (with the same employer)

Your answer made me think that, to create the job change variable I want, I also need to consider, first, that there are observations in which there is

no information for 'jbsamr' or 'samejob' because they are initial observations. I do not want to lose them. I want to assign them a value or a code in the

new variable. Second, there are observations in which the interviewee is in 'paid employment' but the information of 'jbstat' is missing for the previous

wave. Then, I have to assume that the corresponding job is new.

I have called this situation 'Fresh new job' in the Excel file that I'm attaching. The file contains the cases of four individuals. Would it be too much to

have a look at them and let me know what you think of how I have labelled the status in the new 'job_change' variable to be created? As I said before,

my intention is not to lose too many observations in the new variable.

In particular, I call your attention to the third line (third wave) in the last individual. Am I right in assuming that this person is working for the same

employer but in a new position?

Thanks for your very valuable attention.

Best wishes

#4 - 06/11/2025 01:48 PM - Luis Ortiz

- File Attempt creation job_change variable.xlsx added

#5 - 06/12/2025 11:19 PM - Understanding Society  User Support Team

Hello Luis

I think your approach is correct.

Your approach to creating a more inclusive job change variable is sensible, especially your aim to retain as many observations as possible.

Accounting for initial observations and “fresh new job” situations where information from the prior wave is unavailable is a practical and justified

solution. Assigning a separate category for these cases, rather than treating them as missing, will help maintain data coverage while also signalling

their distinct status.

About the specific case you pointed out, your interpretation seems correct. Based on the pattern of responses, it appears that the respondent is still

with the same employer (indicated by jbsamr = yes), but is no longer in the same job role (samejob = no). So yes, it’s reasonable to classify this as a

new position with the same employer.

I hope this information is helpful.

Best wishes,

Roberto Cavazos

Understanding Society User Support Team

#6 - 06/13/2025 10:10 AM - Luis Ortiz

Very reassuring, Roberto. Many thanks for your attention.

And best wishes

Luis Ortiz

Files

Attempt creation job_change variable.xlsx 10.2 KB 06/11/2025 Luis Ortiz

Attempt creation job_change variable.xlsx 10.2 KB 06/11/2025 Luis Ortiz
